Bug 662118 - auto-cluster tree view needs to indicate "missing" resources
auto-cluster tree view needs to indicate "missing" resources
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On: RHQ-1986
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-10 11:51 EST by John Mazzitelli
Modified: 2013-09-02 03:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:23:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
group-tree-node.png (62.27 KB, image/png)
2011-03-11 13:07 EST, John Mazzitelli
no flags Details
Screenshot (143.65 KB, image/png)
2011-05-30 03:02 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description John Mazzitelli 2010-12-10 11:51:26 EST
in the auto-cluster tree view (i.e. recursive compatible group), its possible that a child node doesn't have the same amount of resources equal to the number of resources in the group. We need a way to indicate this in the tree.

For example, suppose I have 2 JBoss EAP instances in the group ("A" and "B") - they both have "app.war" deployed, but only "A" has "a-only.war" deployed in it. The tree would look something like:

My Group Name
|
|---Web Applications
    |
    |--- app.war
    |
    |--- a-only.war

There is no indication in the tree (icon, label) that "a-only.war" represents one resource, but "app.war" represents two resources.

In the old JSF UI, the tree looked like:


My Group Name
|
|---Web Applications
    |
    |--- app.war
    |
    |--- a-only.war (1/2)

Note the (1/2) indicated there is only "1" resource named "a-only.war" found anywhere under the "2" members of the group.

Today, I don't think the GWT UI performs the necessary query to even get the (1/2) information. We'd have to look at how JSF code does it and have GWT do the same. Unless we feel there is a better and cheaper way to indicate "a-only.war" is only found in a subset of member resources.
Comment 1 John Mazzitelli 2011-03-11 13:07:13 EST
Created attachment 483791 [details]
group-tree-node.png

i've updated the gwt code to display this information. Its better now because we show a percentage value in parens in the node title but we also provide a tooltip to help explain to the user what the percentage represents. See the attachment for an example that should make it more clear what this solution entails.
Comment 2 Sunil Kondkar 2011-05-30 03:01:26 EDT
Verified on build101 (Version: 4.1.0-SNAPSHOT Build Number: 712d0e1)

The recursive compatible group tree view display such resources with a percentage and a tool tip. Please refer the screeshot of a group tree view where a war file 'counter.war is deployed to one of the two EAP instances.

Marking as verified.
Comment 3 Sunil Kondkar 2011-05-30 03:02:15 EDT
Created attachment 501717 [details]
Screenshot
Comment 4 Heiko W. Rupp 2013-09-02 03:23:45 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.